import type { Meta, StoryObj } from '@storybook/svelte';
import Table from '../lib/components/widgets/Table.svelte';
import { imageAddress, imageVerticalAddress, videoAddress, videoVerticalAddress } from './common';

const meta: Meta<Table> = {
	title: 'Widgets/Table',
	component: Table,
	tags: ['autodocs'],
	args: {
		entities: [imageAddress, imageVerticalAddress, videoAddress, videoVerticalAddress]
	}
};

export default meta;
type Story = StoryObj<Table>;

export const Default: Story = {};

export const Mixed: Story = {
	args: {
		columns: ['MEDIA_DURATION', 'FILE_SIZE']
	}
};
